---
title: WritableStreamDefaultWriter.closed
slug: Web/API/WritableStreamDefaultWriter/closed
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Streams
  - WritableStreamDefaultWriter
  - closed
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>closed</code></strong> read-only property of the {{domxref("WritableStreamDefaultWriter")}} interface returns a promise that fulfills if the stream becomes closed or the writer's lock is released, or rejects if the stream errors.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>closed</em> = </code>writableStreamDefaultWriter</var>.closed;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Promise")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const writableStream = new WritableStream({
  start(controller) {
  },
  write(chunk, controller) {
    ...
  },
  close(controller) {
    ...
  },
  abort(err) {
    ...
  }
}, queuingStrategy);

...

const writer = writableStream.getWriter();

..

// check if the stream is closed
writer.closed.then(() =&gt; {
  console.log('writer closed');
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#default-writer-closed","closed")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WritableStreamDefaultWriter.closed")}}</p>
